## com.icl.saxon.exslt
Class Math

    java.lang.Object
      |
      +--com.icl.saxon.exslt.Math

public abstract class Math
extends java.lang.Object

This class implements extension functions in the http://exslt.org/math namespace.

Constructor Summary
`Math()`

Method Summary
`static NodeSetValue` `highest(Context c, NodeEnumeration nsv)` Get the nodes with maximum numeric value of the string-value of each of a set of nodes
`static NodeSetValue` `lowest(Context c, NodeEnumeration nsv)` Get the node with minimum numeric value of the string-value of each of a set of nodes
`static double` `max(NodeEnumeration nsv)` Get the maximum numeric value of the string-value of each of a set of nodes
`static double` `min(NodeEnumeration nsv)` Get the minimum numeric value of the string-value of each of a set of nodes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Math

    public Math()

Method Detail

### max

    public static double max(NodeEnumeration nsv)
                      throws XPathException

  Get the maximum numeric value of the string-value of each of a set of nodes

### min

    public static double min(NodeEnumeration nsv)
                      throws XPathException

  Get the minimum numeric value of the string-value of each of a set of nodes

### highest

    public static NodeSetValue highest(Context c,
                                       NodeEnumeration nsv)
                                throws XPathException

  Get the nodes with maximum numeric value of the string-value of each of a set of nodes

### lowest

    public static NodeSetValue lowest(Context c,
                                      NodeEnumeration nsv)
                               throws XPathException

  Get the node with minimum numeric value of the string-value of each of a set of nodes